Subject: Re: Problem allocating large meory using m8260_cpm_hostalloc

From: Prashant Alange <[email-masked]>
Date: Thu, 28 Jul 2005 10:55:00 -0700

Thanks I saw linux/mmzone.h file. MAX_ORDER depends on the
CONFIG_FORCE_MAX_ZONEORDER macro. But I do not see any option in
menuconfig to change this value. I am using 2.4.22 kernel on MPC8260
kernel. Can you pls tell me how to chaneg this?

Thanks,
Prashant
I do not see any option in menuconfig to change this value.

On 7/28/05, Goodman, Brad <[email-masked]> wrote:
> I think you have to increase MAX_ORDER in linux/mmzone.h
>=20
> This number means you can allocate a maximum of 2^(MAX_ORDER-1)
> contiguous pages.
>=20
> Brad Goodman
>=20
>=20
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Prashant
> Alange
> Sent: Thursday, July 28, 2005 12:50 PM
> To: [email-masked]
> Subject: Problem allocating large meory using m8260_cpm_hostalloc
>=20
> Hi everyone,
> I am having problem in allocating large memory using
> m8260_cpm_hostalloc function in my driver. (Approx 256 Kbytes). I
> tried increaing the NUM_CPM_HOST_PAGES macro in cpm_8260.h file to 64
> but still it fails for 200K of memory request. This macro is used by
> alloc_bootmem_pages() function. I have read that we should use this
> function if we intend to have consecutive memory pages allocated.
>=20
> Could anyone tell what I am missing here?
> How can I allocate large memory in my driver using this hostalloc
> function?
>=20
> Thanks for your time.
>=20
> Prashant
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>